using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Villain.Output
{
	public static class Console
	{
		public static string Title
		{
			get => System.Console.Title;
			set => System.Console.Title = value;
		}

		public static ConsoleColor DefaultColor = ConsoleColor.White;
		
		public static string ReadLine()
		{
			return System.Console.ReadLine();
		}

		public static void Write(string message)
		{
			System.Console.Write(message);
		}

		public static void Write(string message, ConsoleColor consoleColor)
		{
			System.Console.ForegroundColor = consoleColor;

			Write(message);

			System.Console.ForegroundColor = DefaultColor;
		}

		public static void WriteLine(string message)
		{
			System.Console.WriteLine(message);
		}

		public static void WriteLine(string message, ConsoleColor consoleColor)
		{
			System.Console.ForegroundColor = consoleColor;

			WriteLine(message);

			System.Console.ForegroundColor = DefaultColor;
		}
	}
}